package py.com.roshka.fragment_v001a

import android.content.Context
import android.graphics.Paint
import android.os.Bundle
import android.text.InputType
import android.text.method.HideReturnsTransformationMethod
import android.text.method.PasswordTransformationMethod
import android.view.View
import android.widget.AdapterView
import android.widget.ArrayAdapter
import android.widget.Spinner
import android.widget.Toast
import androidx.appcompat.app.AppCompatActivity
import kotlinx.android.synthetic.main.activity_login.*


class LoginActivity : AppCompatActivity() {
/*****************************************************/

/*****************************************************/
    private var ver = true



    private val array = arrayListOf(
        "Numero de Documento",
        "Numero de Cuenta o Tarjeta"
    )
    private val SAVED = "DocumentSaved"
    private lateinit var document : String
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_login)
        val preference =getSharedPreferences(SAVED , Context.MODE_PRIVATE)
        val editor = preference.edit()
        document = preference.getString(SAVED, "EMPTY").toString()


        if( document != "EMPTY"){
            entradaDocumento.setText(document)
        }

        seOlvido.paintFlags = Paint.UNDERLINE_TEXT_FLAG
        seOlvido.setOnClickListener {
            Toast.makeText(this, "todavia no hay manera de recuperar contrasenha mi rey", Toast.LENGTH_LONG).show()
        }

        botonIngresar.setOnClickListener {

             //recordarNumero.setOnCheckedChangeListener { _, isChecked ->
                 if (recordarNumero.isChecked) {
                     editor.putString("DocumentSaved", entradaDocumento.text.toString())
                     Toast.makeText(this, "SE GUARDO EL documento", Toast.LENGTH_SHORT).show()
                     editor.commit()
                 }else{
                     Toast.makeText(this, "No se guardo ni mierda", Toast.LENGTH_SHORT).show()
                 }

            //}
        }
        val spinner = findViewById<Spinner>(R.id.spinnerOpciones)
        if (spinner != null) {
            val adapter = ArrayAdapter(this,
                R.layout.modelo_spinner_items,
                R.id.itemSpinnerTexto, array)
            spinner.adapter = adapter


            selectorDeTeclado.setOnClickListener {
                when(entradaDocumento.inputType){
                    InputType.TYPE_CLASS_NUMBER-> entradaDocumento.inputType = InputType.TYPE_CLASS_TEXT
                    InputType.TYPE_CLASS_TEXT-> entradaDocumento.inputType = InputType.TYPE_CLASS_NUMBER
                }
            }

            passwordVisible.setOnClickListener {

                if(ver){
                    entradaPassword.transformationMethod = HideReturnsTransformationMethod.getInstance()
                    passwordVisible.setImageResource(R.drawable.ic_password_visible)
                    ver = false
                } else{
                    entradaPassword.transformationMethod = PasswordTransformationMethod.getInstance()
                    passwordVisible.setImageResource(R.drawable.ic_password_invisible)
                    ver = true
                }
            }
            spinner.onItemSelectedListener = object :
                AdapterView.OnItemSelectedListener {

                override fun onItemSelected(parent: AdapterView<*>,
                                            view: View, position: Int, id: Long) {


                }

                override fun onNothingSelected(parent: AdapterView<*>) {
                    // write code to perform some action
                }
            }
        }
    }


}
